#include "stm32f4xx.h"
#include "SysTick.h"
#include "DUART.h"
#include "SPI1_Dev.h"
#include "TFT_SPI.h"
#include "TSC2046.h"
#include "ts_calibrate.h"

/* 注意把PE3接到VCC防止LIS302DL干扰. */

int main(void)
{
    /* 打开所有IO端口时钟的脑残大法. */
    RCC->AHB1ENR = 0x001000FF;

    SysTick_Init();
    DUSART_Init();
    SPI1_LowLevel_Init();
    LCD_IO_Init();
    LCD_Init();

    LCD_Clear(0xFFFF);
    
	
		SPI_TOUCH_Init();
		ts_calibrate();
		printf("ts_test now");
    while(1)
    {
       ts_test();
    }

}

